TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get validator stake and recover events

GET
/api/v3/validators/events

Return validator stake acceptance, rejection, and recovery events.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

stake_holder_address?string

Stakeholder address in any form.

adnl_address?string

ADNL address in hex, base64, or base64url form.

validator_pubkey?string

Validator public key in hex, base64, or base64url form.

type?string

Filter by event type: stake_accepted, stake_rejected, or stake_recovered.

Value in

  • "stake_accepted"
  • "stake_rejected"
  • "stake_recovered"
start_utime?integer

Query events with a timestamp at or after the specified timestamp.

Range0 <= value
end_utime?integer

Query events with a timestamp at or before the specified timestamp.

Range0 <= value
limit?integer

Limit the number of rows to return.

Formatint32
Range1 <= value <= 1000
Default10

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/validators/events"
{  "address_book": {    "property1": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    },    "property2": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    }  },  "end_utime": 0,  "events": [    {      "adnl_addr": "string",      "amount": "string",      "election_id": 0,      "query_id": "string",      "reason": 0,      "stake_holder_address": "string",      "tx_hash": "string",      "tx_lt": "0",      "type": "stake_accepted",      "utime": 0,      "validator_pubkey": "string"    }  ],  "start_utime": 0}